org.vertx.java.core.http.impl.ws.hybi08

## Class WebSocketChallenge08

- java.lang.Object
- - org.vertx.java.core.http.impl.ws.hybi08.WebSocketChallenge08

    public class WebSocketChallenge08
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `GUID`
`static java.lang.String` `SHA1`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketChallenge08()`

### Method Summary

Methods
`protected void` `generateNonce()`
`java.lang.String` `getNonceBase64()`
`static java.lang.String` `solve(java.lang.String nonceBase64)`
`boolean` `verify(java.lang.String solution)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GUID

    public static final java.lang.String GUID

See Also:
  Constant Field Values

#### SHA1

    public static final java.lang.String SHA1

See Also:
  Constant Field Values

### Constructor Detail

#### WebSocketChallenge08

    public WebSocketChallenge08()
                         throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`

### Method Detail

#### generateNonce

    protected void generateNonce()

#### getNonceBase64

    public java.lang.String getNonceBase64()

#### solve

    public static java.lang.String solve(java.lang.String nonceBase64)
                                  throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`

#### verify

    public boolean verify(java.lang.String solution)
                   throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`